
QGIS Application - Bug report #18066

AttributeError: 'QgsMessageBar' object has no attribute 'INFO'

2018-02-09 05:39 AM - Alex Riley

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25962

Description

After an exception in a python processing provider plugin (a work in progress, not a core provider), the following traceback is shown:

2018-02-09T15:30:27    WARNING    Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 321, in executeAlgorithm

                feedback = MessageBarProgress()

              File "/usr/share/qgis/python/plugins/processing/gui/MessageBarProgress.py", line 49, in __init__

                iface.messageBar().INFO)

            AttributeError: 'QgsMessageBar' object has no attribute 'INFO'

Probably related to commit:3dc3d9d1b22f38cdccedb72683c077a219cda021

Associated revisions

Revision 9302613f - 2018-02-09 09:38 AM - Jürgen Fischer

fix #18066

History

#1 - 2018-02-09 09:38 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|9302613f28207910608fe538a03e0bff82ca5629.

#2 - 2018-02-09 02:54 PM - Jürgen Fischer

- Description updated

#3 - 2018-02-21 09:18 PM - Giovanni Manghi

- Resolution set to fixed/implemented
